### Function

# GioUnix DesktopAppInfo get_show_in

since: 2.30

#### Declaration

    gboolean
    g_desktop_app_info_get_show_in (
      GDesktopAppInfo* info,
      const gchar* desktop_env
    )

#### Description

Checks if the application info should be shown in menus that list available applications for a specific name of the desktop, based on the `OnlyShowIn` and `NotShowIn` keys.

`desktop_env` should typically be given as `NULL`, in which case the `XDG_CURRENT_DESKTOP` environment variable is consulted. If you want to override the default mechanism then you may specify `desktop_env`, but this is not recommended.

Note that `g_app_info_should_show()` for `info` will include this check (with `NULL` for `desktop_env`) as well as additional checks.

Available since: 2.30

#### Parameters

`info`

  Type: `GDesktopAppInfo`

  A `GDesktopAppInfo`.

  The data is owned by the caller of the function.

`desktop_env`

  Type: `const gchar*`

  A string specifying a desktop name.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the `info` should be shown in `desktop_env` according to the `OnlyShowIn` and `NotShowIn` keys, `FALSE` otherwise.